import { type Workspace } from "../utils/workspace.js";
import { type OptionDefinition } from "./options.js";
import type { AdderCheckConfig, AdderConfig, InlineAdderConfig, PostInstallationCheck, PreInstallationCheck } from "./config.js";
import type { OptionValues } from "commander";
import type { RemoteControlOptions } from "./remoteControl.js";
export declare function executeAdder<Args extends OptionDefinition>(config: AdderConfig<Args>, checks: AdderCheckConfig<Args>, remoteControlOptions?: RemoteControlOptions | undefined): Promise<void>;
export declare function determineWorkingDirectory(options: OptionValues): any;
export declare function installPackages<Args extends OptionDefinition>(config: InlineAdderConfig<Args>, workspace: Workspace<Args>): Promise<void>;
export declare function generateAdderInfo(pkg: any): {
    id: string;
    package: string;
    version: string;
};
export declare function runPreInstallationChecks(checks: PreInstallationCheck[]): Promise<void>;
export declare function runPostInstallationChecks(checks: PostInstallationCheck[]): Promise<void>;
